// This package contains functions useful to determine if
// a string is palyndrome.
package check

// IsPalyndromeIter checks if a given string s is palyndrome.
// It returns true iff the string is palyndrome.
// The check is done iteratively.
func IsPalyndromeIter(s string) bool {
	t := []rune(s)
	n := len(t)
	for i := 0; i < n / 2; i++ {	
		if t[i] != t[n - i - 1] {
			return false
		}
	}
	return true
}
